Skip to main content

Funding Events

To enable third-party systems to promptly obtain the execution results of deposit/withdrawal operations, Broker OpenAPI provides an asynchronous proactive event push mechanism for deposit/withdrawal transaction events.

Clients can subscribe to receive relevant events, allowing them to monitor transaction processing results and status changes in real time.

Instant Funding​

Instant Funding Event Notification

{
"id": "event_c4b2c210-ce32-41d4-a9a1-cfad4fdf191c",
"event_type": "FUNDING",
"position": "CJO1fxACGAAgADAB",
"timestamp": "2025-03-29T07:02:33.200962333Z",
"payload": {
"from_account": "93IUJ28O9VO2KBGHDHR4H9",
"to_account": "41IO9QG4M5O65B0EA4LSJ4UJ99",
"client_request_id": "LJIS16BACHQG9LPP44L9IQHGAB",
"instant_funding_id": "89JGKD4LKIVI5UU6L3KHNU10IA",
"amount": "100",
"currency": "USD",
"type": "DEPOSIT",
"status": "REJECTED",
"reason": "xxxxxx",
"update_time": "2025-11-21T06:27:43.312Z",
"biz_type": "INSTANT_FUNDING"
}
}

Response Fields​

FieldTypeDescription
idstringUnique event identifier
event_typestringEvent type, fixed as FUNDING
positionstringCursor for event replay; re-pushes subsequent events within the current business type.
timestampstringEvent timestamp in ISO 8601 format
payloadobjectEvent payload data

Payload Fields​

FieldTypeDescription
from_accountstringFrom account id
to_accountstringTo account id
client_request_idstringClient Request ID, unique for each request.
instant_funding_idstringRequest id generated by the system.
amountstringAmount.
currencystringCurrency, See the currency field in the Get Instant Funding Detail API response.
typestringInstant Funding Request Type, See the type field in the Get Instant Funding Detail API response.
statusstringRequest status, See the status field in the Get Instant Funding Detail API response.
reasonstringReason. If the terminal state is not “COMPLETED”, return the reason.
update_timestringUTC time, format: YYYY-MM-dd'T'HH:mm:ss.SSSZ.
biz_typestringBusiness type, fixed as INSTANT_FUNDING